Code

Updated config viewer
[gosa.git] / gosa-core / dh-make-gosa
index e1a826234eb0b2be34509d6b1c2f86f12bd5a688..5b0733d5a99dd207aa3268881b87c2aca9225367 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # This code is part of GOsa (http://www.gosa-project.org)
 # Copyright (C) 2008 GONICUS GmbH
 #
@@ -19,7 +19,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 usage() {
-  echo "Usage: ${0##*/} [--section section name] [-b|--branch branch] [-e|--email mail] [--depends] plugin-dir|plugin.tar.gz" >&2
+  echo "Usage: ${0##*/} [--no-break] [--section section name] [-b|--branch branch] [-e|--email mail] [--depends] plugin-dir|plugin.tar.gz" >&2
   exit 1
 }
 
@@ -48,6 +48,7 @@ load_dsc() {
     PL_NAME=$(sed -n 's/"//g;s/^name\s*=\s*\(.*\)$/\1/p' "$1")
     PL_VERSION=$(sed -n 's/"//g;s/^version\s*=\s*\(.*\)$/\1/p' "$1")
     TDEPENDS=$(sed -n 's/"//g;s/^depends\s*=\s*\(.*\)$/\1/p' "$1")
+               TDEPENDS=$(echo $TDEPENDS | tr , " ")
     for dep in $TDEPENDS; do
       PL_DEPENDS="gosa-plugin-$dep, $PL_DEPENDS"
     done
@@ -58,6 +59,7 @@ load_dsc() {
     PL_DESCRIPTION=$(sed -n 's/"//g;s/^description\s*=\s*\(.*\)$/\1/p' "$1")
     PL_AUTHOR=$(sed -n 's/"//g;s/^author\s*=\s*\([^<]*\).*$/\1/p' "$1")
     PL_MAIL=$(sed -n 's/"//g;s/^author\s*=[^<].*<\([^>]*\).*$/\1/p' "$1")
+    PL_MAINTAINER=$(sed -n 's/"//g;s/^maintainer\s*=[^<].*<\([^>]*\).*$/\1/p' "$1")
     PL_HOMEPAGE=$(sed -n 's/"//g;s/^homepage\s*=\s*\(.*\)$/\1/p' "$1")
   else
     echo "Error: cannot find description file" >&2
@@ -78,6 +80,7 @@ eval set -- "$TEMP"
 RELEASE=trunk
 DOWNLOAD=
 DEPENDS=
+NOBREAK=
 SECTION=web
 DEST=
 while true; do
@@ -97,6 +100,9 @@ while true; do
     --section)  SECTION="$2"
                 shift 2
                 ;;
+    --no-break) NOBREAK=1
+                shift 1
+                ;;
     --dest)     DEST=$2/
                 shift 2
                 ;;
@@ -174,6 +180,7 @@ echo "Depends:      $PL_DEPENDS"
 echo "Conflicts:    $PL_CONFLICTS"
 echo "Author name:  $PL_AUTHOR"
 echo "Author email: $PL_MAIL"
+echo "Maintainer email: $PL_MAINTAINER"
 echo "Homepage:     $PL_HOMEPAGE"
 echo
 read -s -n 1 -p "Do you want to continue? (y/n)" ans; echo
@@ -183,7 +190,7 @@ cd "$BUILD_PATH"
 
 # Use gosa-plugin skelleton
 echo "Calling dh_make..."
-echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
+echo | dh_make -e "$PL_MAINTAINER" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
 if [ $? -ne 0 ]; then
        echo "Failed to call dh_make - aborting!"
        exit 1
@@ -209,6 +216,9 @@ echo "usr/share/gosa" > debian/dirs
 if [ -d contrib ]; then
        echo "contrib /usr/share/doc/gosa-plugin-$PL_NAME" >> debian/install
 fi
+if [ -d etc ]; then
+       echo "etc/* /etc/gosa" >> debian/install
+fi
 if [ -d html ]; then
        for i in html/*; do
                echo "$i /usr/share/gosa/html/plugins/$PL_NAME" >> debian/install
@@ -226,6 +236,8 @@ sed -i "/.put author's name and email here.\
 /d" debian/copyright
 sed -i '/^Upstream/,/^$/d' debian/copyright
 sed -i 's/ C)/ (C)/g' debian/copyright
+sed -i 's/GPL/GPL-2/g' debian/copyright
+sed -i 's/The Debian packaging is/The Debian packaging is Copyright (C)/g' debian/copyright
 
 # Adapt control
 sed -i "s#^Section: unknown#Section: $SECTION#g" debian/control
@@ -238,9 +250,14 @@ else
        sed -i 's/^Depends: .*$/Depends: gosa/g' debian/control
 fi
 if [ "$PL_CONFLICTS" ]; then
-       sed "11Conflicts: $PL_CONFLICTS" debian/control
+       sed -i "11iConflicts: $PL_CONFLICTS" debian/control
+fi
+if [ -z "$NOBREAK" ]; then
+  sed -i "12iBreaks: gosa (<2.6)" debian/control
 fi
 sed -i 's/^\(Build-Depends: .*\)$/\1, dpatch/g' debian/control
+sed -i 's/^Standards-Version: 3.7.3/Standards-Version: 3.8.3/g' debian/control
+
 sed -i "s/^Description: .*$/Description: $PL_NAME plugin for GOsa/g" debian/control
 sed -i "s/^ <.*$/ %DESCRIPTION%/g" debian/control
 dsc=$(tempfile)
@@ -278,6 +295,11 @@ fi
 # Create patch directory
 [ ! -d debian/patches ] && mkdir debian/patches
 
+# Create empty patch list
+cat <<EOF > debian/patches/00list
+This file left intentionnaly blank
+EOF
+
 # Adapt README.debian
 cat <<EOF > debian/README.Debian
 README.Debian for GOsa $PL_NAME plugin $PL_VERSION
@@ -289,6 +311,11 @@ Please read the main GOsa README.Debian file for more information.
 $PL_AUTHOR <$PL_MAIL>  Fri 02 Jun 2006 16:23:50 +0200
 EOF
 
+# Adapt README.source
+cat <<EOF > debian/README.source
+/usr/share/doc/dpatch/README.source.gz
+EOF
+
 # Fix README
 sed -i "s/Comments regarding the Package/After installing this plugin you may need to reload apache../g" debian/README
 
@@ -336,7 +363,6 @@ unpatch:
 install: build
        dh_testdir
        dh_testroot
-       dh_clean -k 
        dh_installdirs
 
 # Build architecture-independent files here.
@@ -357,6 +383,8 @@ binary-indep: build install
        dh_builddeb
 
 binary: binary-indep
+
+binary-arch:
 .PHONY: build clean binary-indep binary install configure
 EOF